
Name:    kstars 
Summary: Desktop Planetarium 
Version: 4.8.3
Release: 1%{?dist}

License: GPLv2+
#URL:     https://projects.kde.org/projects/kde/kdeedu/kstars
URL:     http://edu.kde.org/kstars
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(eigen2)
BuildRequires: pkgconfig(libindi) >= 0.8.0
BuildRequires: xplanet

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

# when split occurred
Obsoletes: kdeedu-kstars < 4.7.0-10
Obsoletes: kdeedu-kstars-libs < 4.7.0-10
Provides:  kdeedu-kstars = %{version}-%{release}

%description
KStars is a Desktop Planetarium.  It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time.  The display includes up to 100 million stars, 13,000 deep-sky objects,
all 8 planets, the Sun and Moon, and thousands of comets and asteroids.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo

## unpackaged files
# static lib, no api
rm -fv %{buildroot}%{_kde4_libdir}/libhtmesh.a


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/kstars.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc COPYING COPYING.DOC 
%doc AUTHORS ChangeLog README.* TODO
%{_kde4_bindir}/kstars
%{_kde4_datadir}/applications/kde4/kstars.desktop
%{_kde4_datadir}/config.kcfg/kstars.kcfg
%{_kde4_configdir}/kstars.knsrc
%{_kde4_appsdir}/kstars/
%{_kde4_iconsdir}/hicolor/*/*/kstars.*


%changelog
* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.0-2
- Rebuilt for c++ ABI breakage

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.7.90-1
- 4.7.90

* Thu Dec 01 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.80-1
- 4.7.80

* Sat Oct 29 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.3-1
- 4.7.3

* Tue Oct 04 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Wed Sep 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-3
- update URL, %%description

* Tue Sep 20 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-2
- %%doc: COPYING README ...
- License: GPLv2

* Sat Sep 17 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- 4.7.1

* Tue Aug 30 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-10
- first try

